claw::graphic::targa::file_structure::header Class Reference

Header of a targa file. More...

`#include <targa.hpp>`

## Classes

struct | specification
| Image specification. More...

## Public Member Functions

| header ()
| Default constructor.
| header (unsigned int w, unsigned int h)
| Constructor.

## Public Attributes

char | id_length
| Image identifier length.
char | color_map
| 1 if there is a color map, 0 otherwise.
char | image_type
| Image type.
struct { |
unsigned short first_entry_index |
| Index of the first color map entry. More...
unsigned short length |
| Total number of color map entries included. More...
unsigned char entry_size |
| Number of bits per enrty. More...
} | color_map_specification
| Color map specification.
specification | image_specification
| The specification of the image.

## Detailed Description

Header of a targa file.

Definition at line 76 of file targa.hpp.

## Constructor & Destructor Documentation

## header() [1/2]

claw::graphic::targa::file_structure::header::header | ( |  | ) |

Default constructor.

Definition at line 41 of file targa_file_structure.cpp.

## header() [2/2]

claw::graphic::targa::file_structure::header::header | ( | unsigned int | w,
|  | unsigned int | h )

Constructor.

Parameters

  w | The width of the image.
  h | The height of the image.

Definition at line 52 of file targa_file_structure.cpp.

References color_map, color_map_specification, id_length, image_specification, and image_type.

## Member Data Documentation

## color_map

char claw::graphic::targa::file_structure::header::color_map

1 if there is a color map, 0 otherwise.

Definition at line 86 of file targa.hpp.

Referenced by header().

## entry_size

unsigned char claw::graphic::targa::file_structure::header::entry_size

Number of bits per enrty.

Definition at line 98 of file targa.hpp.

## first_entry_index

unsigned short claw::graphic::targa::file_structure::header::first_entry_index

Index of the first color map entry.

Definition at line 94 of file targa.hpp.

## id_length

char claw::graphic::targa::file_structure::header::id_length

Image identifier length.

Definition at line 84 of file targa.hpp.

Referenced by header().

## image_specification

specification claw::graphic::targa::file_structure::header::image_specification

The specification of the image.

Definition at line 123 of file targa.hpp.

Referenced by header(), and claw::graphic::targa::reader::load().

## image_type

char claw::graphic::targa::file_structure::header::image_type

Image type.

Definition at line 88 of file targa.hpp.

Referenced by header(), claw::graphic::targa::reader::load(), and claw::graphic::targa::writer::save().

## length

unsigned short claw::graphic::targa::file_structure::header::length

Total number of color map entries included.

Definition at line 96 of file targa.hpp.

The documentation for this class was generated from the following files:

- targa.hpp
- code/targa_file_structure.cpp